Download it now!
Bug 80047 - NUMERIC FIELD in dialog: alignment does not stay "centred"
Summary: NUMERIC FIELD in dialog: alignment does not stay "centred"
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: BASIC (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-15 10:01 UTC by Gisbert
Modified: 2017-01-14 18:48 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Simple Writer document with module1.dialog1 (22.29 KB, application/vnd.oasis.opendocument.text)
2014-06-15 10:01 UTC, Gisbert
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gisbert 2014-06-15 10:01:43 UTC
Created attachment 101089 [details]
Simple Writer document with module1.dialog1

The alignment of the number in a numeric field of a dialog does not remain "centered" after closing and reopening the document. It jumps always back to "left".
Comment 1 Buovjaga 2014-11-08 21:16:40 UTC
Confirmed.
For reproducers with no prior experience with this type of stuff: Tools - Macros - Organize dialogs. Dig down bug_NumericFieldCentred.odt until you reach Dialog1. Hit Edit, select the numeric field, find Alignment in the properties panel on the left and change the setting to Center.

Win 7 64-bit Version: 4.4.0.0.alpha2+
Build ID: c989f5e0e11e295b11ffc921b0d105869e037e47
TinderBox: Win-x86@42, Branch:master, Time: 2014-11-07_22:50:48
Comment 2 Buovjaga 2015-01-08 17:12:05 UTC
Lowered version number after reproducing with:

Ubuntu 14.10 64-bit
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 3 Commit Notification 2015-12-18 10:43:38 UTC
Oliver Specht committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ffdd3c68205ddaa2d7fd895234461c02f1560e7c

tdf#80047: load&save align and valign attributes of NumericField

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2016-09-15 20:48:02 UTC
Hi,
Is this bug fixed?
If so, could you please close it as RESOLVED FIXED?
Regards
Comment 5 Gisbert 2016-09-28 07:29:39 UTC
no, not yet fixed in
Version: 5.1.5.2
Build-ID: 7a864d8825610a8c07cfc3bc01dd4fce6a9447e5
Comment 6 Gisbert 2017-01-14 17:54:58 UTC
Works now! I tested with
Version: 5.2.4.2
Build-ID: 3d5603e1122f0f102b62521720ab13a38a4e0eb0
CPU-Threads: 2; BS-Version: Windows 6.2; UI-Render: Standard; 
Thanks!!